
// UseClip.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, April 2014

/* Add and copy text from the clipboard, and check the error value.
*/

public class UseClip
{
  public static void main(String[] args)
  {
    boolean res = Jau.clipPut("Hello From Andrew");
    System.out.println("Clip put result: " + res);

    System.out.println("\"" + Jau.clipGet() + "\"");
    System.out.println("Error code: " + Jau.error());

    Jau.clipClear();
    System.out.println("\"" + Jau.clipGet(1000) + "\"");   // try for 1 second
    System.out.println("Error code: " + Jau.error());
  }  // end of main()

}  // end of UseClip class
