
// UseToolTip.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, April 2014

/* Direct use of AutoItX3 JNS wrapper around AutoItX3 DLL
   for using AU3_ToolTip()
*/

import java.awt.*;
import com.sun.jna.platform.win32.WinDef.*;


public class UseToolTip
{

  public static void main(String[] args)
  {
    AutoItX3.INSTANCE.AU3_ToolTip("hello world", 100, 100);
    Jau.sleep(3000);

    Point pos = Jau.mouseGetPos();
    AutoItX3.INSTANCE.AU3_ToolTip("andrew", pos.x, pos.y);
    Jau.sleep(3000);
    
    HWND hWnd = Jau.mouseWindowHandle();
    System.out.println("Top window handle: " + Jau.handleString(hWnd));
    System.out.println("Top window title: \"" + Jau.winGetTitle(hWnd) + "\"");

    Jau.msgBox("Jau Message", "More Noticable than a ToolTip");
  }

}  // end of UseToolTip class
