
// UseWMP.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, April 2014

/*  Use a running version of Windows Media Player
    or start a new instance, and start playing a music clip.
*/

import com.sun.jna.platform.win32.WinDef.*;


public class UseWMP
{

  public static void main (String args[])
  {
    HWND hWnd = Jau.appGetHandle("wmplayer");
    if (hWnd != null) {
      System.out.println("wmplayer already running");
      Jau.winActivate(hWnd);
    }
    else
      hWnd = Jau.run("wmplayer");

    System.out.println("Opening...");
    Jau.send(hWnd, "^o");    // ctrl + o == open

    HWND openHandle = Jau.winWaitActiveHandle("Open");

    String lifeFnm = Jau.desktopPath() + "\\Jau Tests\\musicClip.mp3";

    // type filename into title field
    Jau.send(openHandle, lifeFnm);
    Jau.sleep(1000);   // so we can see the filename
    Jau.send(openHandle, "{ENTER}");
  }  // end of main()

}  // end of UseWMP class

